package com.taikor.investment.modules.user;

import android.view.View;
import android.widget.RelativeLayout;
import android.widget.TextView;

import com.taikor.investment.R;
import com.taikor.investment.base.BaseActivity;
import com.taikor.investment.mylibrary.TAnalytics;

import butterknife.BindView;
import butterknife.OnClick;

/**
 * 关于我们
 * Created by Any on 2017/5/3.
 */
public class AboutActivity extends BaseActivity {

    @BindView(R.id.tv_bar_title)
    TextView tvBarTitle;
    @BindView(R.id.tv_declare)
    TextView tvDeclare;
    @BindView(R.id.rl_net)
    RelativeLayout rlNet;

    @Override
    public int getContentViewId() {
        return R.layout.activity_user_about;
    }

    @Override
    public void initView() {
        tvBarTitle.setText(getString(R.string.about));
    }

    @OnClick({R.id.tv_bar_back, R.id.tv_declare, R.id.rl_net})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.tv_bar_back:
                finish();
                break;
            case R.id.tv_declare:
                break;
            case R.id.rl_net:
                break;
        }
    }

    //埋点
    @Override
    protected void onResume() {
        super.onResume();
        TAnalytics.onPageStart("aboutPage");
    }

    @Override
    protected void onPause() {
        super.onPause();
        TAnalytics.onPageLoad("aboutPage", "minePage", "", "");
    }
}
